NAME Minbari Ambassador
NAM2 The Minbari Ambassador
ICON items/s_delenn.tga
GFXP items/l_delenn.tga
FLAG life unique nogen nowish nosell nothief
DIST cold warm hot
TEXT Ambassador Delenn is a leader of the Minbari Religious caste, a member of the Grey Council, and an articulate and strong-willed diplomat.
COST 300 strategic
TYPE passenger

